- if can? current_user, :write_merge_request, @project
  = link_to new_project_merge_request_path(@project), class: "pull-right btn btn-new", title: t("merge_request_section.new_merge_request") do
    %i.icon-plus
    = t("merge_request_section.new_merge_request")
%h3.page-title
  = t("merge_request_section.merge_requests")
  %span (#{@merge_requests.total_count})
%hr
.row
  .fixed.sidebar-expand-button.hidden-lg.hidden-md
    %i.icon-list.icon-2x
  .col-md-3.responsive-side
    = render 'shared/project_filter', project_entities_path: project_merge_requests_path(@project),
             labels: true, redirect: 'merge_requests'
  .col-md-9
    .mr-filters.append-bottom-10
      .dropdown.inline
        %a.dropdown-toggle.btn{href: '#', "data-toggle" => "dropdown"}
          %i.icon-user
          %span.light= t('merge_request_section.assignee_h') + ":"
          - if @assignee.present?
            %strong= @assignee.name
          - elsif params[:assignee_id] == "0"
            = t('merge_request_section.assignee_unassigned')
          - else
            = t('merge_request_section.assignee_any')
          %b.caret
        %ul.dropdown-menu
          %li
            = link_to project_filter_path(assignee_id: nil) do
              = t('merge_request_section.assignee_any')
            = link_to project_filter_path(assignee_id: 0) do
              = t('merge_request_section.assignee_unassigned')
          - @assignees.sort_by(&:name).each do |user|
            %li
              = link_to project_filter_path(assignee_id: user.id) do
                = image_tag avatar_icon(user.email), class: "avatar s16", alt: ''
                = user.name

      .dropdown.inline.prepend-left-10
        %a.dropdown-toggle.btn{href: '#', "data-toggle" => "dropdown"}
          %i.icon-time
          %span.light= t('merge_request_section.milestone_h') + ":"
          - if @milestone.present?
            %strong= @milestone.title
          - elsif params[:milestone_id] == "0"
            = t('merge_request_section.milestone_none')
          - else
            = t('merge_request_section.milestone_any')
          %b.caret
        %ul.dropdown-menu
          %li
            = link_to project_filter_path(milestone_id: nil) do
              = t('merge_request_section.milestone_any')
            = link_to project_filter_path(milestone_id: 0) do
              = t('merge_request_section.milestone_none')
          - project_active_milestones.each do |milestone|
            %li
              = link_to project_filter_path(milestone_id: milestone.id) do
                %strong= milestone.title
                %small.light= milestone.expires_at

      .pull-right
        = render 'shared/sort_dropdown'

    .panel.panel-default
      %ul.well-list.mr-list
        = render @merge_requests
        - if @merge_requests.blank?
          %li
            .nothing-here-block= t('merge_request_section.no_merge_request')
    - if @merge_requests.present?
      .pull-right
        %span.cgray.pull-right= t('merge_request_section.filter_count', count: @merge_requests.total_count)

      = paginate @merge_requests, theme: "gitlab"

:javascript
  $(merge_requestsPage);
